Czytając jeden z komentarzy postanowiłem sprawdzić jak wygląda użycie Waylanda w Gnomie 3.24 pod Archem. Od razu nadmienię, że nie spodziewałem się cudów gdyż Wayland ma nadal mnóstwo błędów i byłbym daleki przed poleceniem używania przynajmniej do następnego roku. Testowanie Waylanda dodatkowo sobie utrudniłem poprzez korzystanie z własnościowych sterowników Nvidii, które „działają” tylko dlatego, iż […]

Czytaj dalej

Kernel 4.10 jest wciąż bardzo nowy i dostępny głownie w dystrybucjach typu Arch czy openSuse Tumbleweed , ale pojawił sił problem z ostatnim sterownikiem Nvidii 375.39, tym ściąganym ze strony Nvidii czyli: NVIDIA-Linux-x86_64-375.39.run Sterownik ten nie wspiera jądra 4.10 i w trakcie instalacji marudzi o braku pliku fence.h. Aby dokończyć instalację wymagane jest zainstalowanie patcha […]

Czytaj dalej

Powoli przymierzając się do zakupu nowego komputera zacząłem zastanawiać się nad wyborem karty graficznej. Tak jak przy inny podzespołach decyzja jest dosyć łatwa, tak w przypadku GPU nie wszystko jest takie oczywiste, a już zwłaszcza pod linuxem. Dodatkową komplikacją, a może atrakcją, jest niedawna premiera nowych kart Nvidii: seria Pascal oraz kart od AMD: seria […]

Czytaj dalej

Najnowsza aktualizacja jądra w openSUSE Leap 4.4.21 spowodowała ostatnio nie lada problem użytkownikom sterowników własnościowych Nvidii. Otóż po instalacji jądra pojawia się „black screen of death” czyli innymi słowy środowisko graficzne nie startuje. Temat jest dobrze opisany na forum openSUSEa https://forums.opensuse.org/showthread.php/518297-Kernel-update-breaks-NVIDIA-driver/page4 Okazało się, że winnym niemożności rekompilacji jądra dla sterownika jest moduł virtualbox’a guest additions, […]

Czytaj dalej

Dostęp do najnowszych pakietów ma zawsze swoje blaski i cienie. Nie inaczej jest w przypadku Gnome’a 3.20, który cierpi na bugi wieku dziecięcego (wczesnego wydania). Zresztą przy wcześniejszych wersjach 3.18, 3.16, 3.14 … było podobnie. Co tym razem nie działa? Process 2934 (gnome-shell) of user 120 dumped core. Stack trace of thread 2934: #0 0x00007f0f5dfff7eb […]

Czytaj dalej

Najnowsze sterowniki Nvidii 361.28 mają dosyć paskudnego buga, który objawia się podczas uruchamiania niektórych gier, głównie tych korzystający z silnika Source czyli Half-Life’y, Left4 Dead2, Dota2 czy Counter Strike. Przy próbie uruchomienia gry pojawia się komunikat: Missing basic OpenGL v1.0 -> v2.0 required OpenGL functionality. Dopóty Nvidia nie wypuści nowych sterowników jedynym obejściem problemu jest […]

Czytaj dalej

Począwszy od wersji 13, XBMC Gotham zaczął stwarzać problemy przy karcie Nvidii (sterowniki własnościowe) przy wyświetlaniu napisów w menu. Problemu doświadczyłem w openSUSE 13.1 i 13.2, a rozwiązaniem  jest ręczna instalacja sterowników ze strony Nvidii. Nie wiem czy to kwestia paczki nvidii czy xbmc. Niestety ten drugi nie chce wspierać niczego poza tym co jest […]

Czytaj dalej

W związku z niedawną awarią repozytorium Nvidii dla openSUSE nawaliła paczka aktualizująca sterownik. Co prawda błąd został naprawiony paręnaście godzin później, ale przez to musiałem zmierzyć się z manualną instalacją sterownika bezpośrednio ściągniętego ze strony Nvidii: NVIDIA-Linux-x86_64-340.32.run Nie przepadam akurat za tą opcją bo niesie to za sobą pewne ryzyko namieszania w systemie, a i […]

Czytaj dalej

KDE – rwanie ekranu cz.2 – rozwiązanie (oby) Tytuł tej notki brzmi prawie jak tytuł horroru… i to niekończącego się. Tydzień wcześniej pisałem o pewnym triku, który pozwala sobie poradzić z rwaniem ekranu (problemy z synchronizacją pionową) w aplikacjach pełnoekranowych. Jest to jak najbardziej w porządku rozwiązanie, ale już niekoniecznie dla zwykłych aplikacji jak chociażby […]

Czytaj dalej

Pospieszyłem się, nie zwróciłem uwagę na listing. Sterowniki aktualizuję poprzez sprawdzenie repozytorium rpmfusion-nonfree-rawhide: yum –enablerepo=rpmfusion-nonfree-rawhide check-update potem yum –enablerepo=rpmfusion-nonfree-rawhide upgrade akmod-nvidia Zrobiłem aktualizację kernela, potem aktualizację sterowników 319.23 tylko, że nie zauważyłem, że nie było jeszcze odpowiedniej wersji akmoda ani kmod pod 319.23 i wybrałem tylko pakiety nivida* i xorg*… pomroczność jasna… zamiast robić jak […]

Czytaj dalej